SERVER REQUIREMENTS
The WebDev server software is a set of PHP scripts and support
files, so you need to have PHP support on your webserver. If you're
using the Apache webserver you can make a module version of PHP,
otherwise make the CGI version. WebDev has been tested out with the
Apache module  version, but it should also work with the CGI version.

When you have PHP installed, you want to make sure that files with
the extension .php3 get parsed by PHP.

Check out the PHP website (http://www.php.net/) for all the details.

INSTALLING THE WEBDEV SERVER SCRIPTS
Download the WebDev server scripts package from the DMC website, and
unzip and untar them into the directory tree of your webserver. For
example, if the latest package is webdev_server-3.0.0b1.tar.gz and you
wish to install the package under the directory /www on your
webserver, cd to that directory and do

	tar xvfz webdev_server-3.0.0b1.tar.gz

This will untar the scripts into the directory /www/webdev.
Make sure the new directories created are owned by or have all access
rights for the user id which your webserver is running under,
otherwise WebDev won't be able to create its project directories and
files.

SETTING WEBDEV INSTALL PARAMETERS
Using your favourite web browser, access the base URL of the new
WebDev installation e.g. http://www.yourhost.com/webdev/index.php3.
This will present you with the WebDev installation page, with a form
to set installation-specific information.

WebDev requires 3 parameters for server installation:

	(1) WebDev Root URL: the URL directory that you are currently
accessing. It will establish this from your connection, and you can't
change this.

	(2) WebDev Publish URL Base: this is the base  URL that
WebDev will publish your projects under. It defaults to the directory
under the WebDev installation.

	(3) WebDev Publish Server Root Path: this is the directory on
the server corresponding to the above URL for publishing. If you
change either of the latter two values, make sure they correspond,
otherwise WebDev will get confused as to where it is to publish
projects to. Also, make sure that the user id your webserver runs
under has access rights to create directories and files in this
directory, otherwise it won't be able to create directories and files
when publishing projects.

Now submit the form, and it should return the page confirming the
installation parameters. Once you have set this information, the page
will show the installation status instead of the form.

If you wish to perform the installation again, you can go into the
directory on the server where you installed WebDev and delete the
file include/config.inc. This will force the installation page to
give you the form again, but if you have created any projects in the
meantime it will remove the project information on re-installation.

RESTRICTING ACCESS TO WEBDEV PROJECTS
At the moment WebDev has no builtin access restrictions for project
information. You can use the access restrictions mechanisms of you
webserver to restrict access by IP address or domain (e.g. using a
.htaccess file if you're using the Apache webserver), but the WebDev
client can't cope with user/group authentication at the moment, so
don't go sticking any password authentication on the WebDev project
directory. This should be fixed at some point in the future :-)

CLIENT REQUIREMENTS
To run the WebDev client software you need a Windows 3.1 or Windows
95 PC with a network connection to your webserver, and either
Netscape Navigator or Microsoft Internet Explorer.

INSTALLING THE WEBDEV CLIENT SOFTWARE
Unzip the installation package into a temporary directory on your
PC, and run the setup program. This will install WebDev on your PC
and help you configure the initial options for communicating with the
WebDev server scripts.

Once you've installed the server scripts, run the WebDev client. On
this initial run it will not yet be configured to know where your
server installation is, and will bring up a dialog box to this
effect. Choose the option to edit the configuration, and set the
"Default Server Path" option to the URL under which the WebDev server
scripts were installed. The WebDev client should now be able to
communicate with the server.
